### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-icon/ecl-icon.component.ts`

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-icon`
templateUrl | `./ecl-icon.component.html`

### Index

###### Properties

- Public el
- svgEl

###### Methods

- getClasses
- getCssClasses

###### Inputs

- ariaHidden
- ariaLabelledby
- color
- focusable
- icon
- iconSet
- role
- size
- transform
- class
- e2eAttr

###### Accessors

- iconUrl

### Constructor

`constructor(el: ElementRef)`

Parameters :

Name | Type | Optional
el | `ElementRef` | No

### Inputs

ariaHidden
Type : `boolean`
Default value : `true`

ariaLabelledby
Type : `string`

color
Type : `string`

focusable
Type : `boolean`
Default value : `false`

icon
Type : `string`

iconSet
Type : `"default" | "social" | "social-media" | "flag" | string`
Default value : `'default'`

role
Type : `string`

size
Type : `"2xs" | "xs" | "s" | "m" | "l" | "xl" | "2xl" | "fluid"`
Default value : `'xs'`

transform
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

### Methods

getClasses
`getClasses()`
Returns : `{ [x: string]: string; [x: number]: boolean; }`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

Public el
Type : `ElementRef`

svgEl
Type : `Element`
Decorators : `@coerceElement() @ViewChild('svg')`

### Accessors

iconUrl
get `iconUrl()`

# results matching ""

# No results matching ""